Skip to content

Credit

Organisation Credit Operations

Get User Credit

Request

Security
BearerAuth
Path
identifierstringrequired
Enum:"email""id""UID"
Example:email
identifier_valuestringrequired
Example:john.smith@example.org
Bodyapplication/json

If accessing via an organisation level token you will need to provide an organisation_group_id in order to indicate which group the user belongs to.

pageinteger
Example:1
per_pageinteger, [ 1 .. 100 ]
Default:50
Example:50
POST
/v3/credit/{identifier}/{identifier_value}
curl -i -X POST \
  https://propello-cloud.redocly.app/_mock/openapi/v3/credit/email/john.smith@example.org \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "page": 1,
    "per_page": 50
  }'

Responses

OK

Bodyapplication/json
statusinteger
Example:200
timestampstring
Example:"1970-01-30T00:00:00.000000Z"
dataobject
current_pageinteger
Example:1
first_page_urlstring
Example:"https://{url}/v3/users/redemption-stats?page=2"
last_page_urlstring
Example:"https://{url}/v3/users/redemption-stats?page=15"
next_page_urlstring
Example:"https://{url}/v3/users/redemption-stats?page=3"
prev_page_urlstring
Example:"https://{url}/v3/users/redemption-stats?page=1"
frominteger
Example:4
last_pageinteger
Example:15
pathstring
Example:"https://{url}/v3/users/redemption-stats"
per_pageinteger
Example:3
tointeger
Example:6
totalinteger
Example:45
Response
{ "status": 200, "timestamp": "1970-01-30T00:00:00.000000Z", "data": { "available": 115.5, "spent": 25, "expired": 13.5, "credits": [ … ] }, "current_page": 1, "first_page_url": "https://{url}/v3/users/redemption-stats?page=2", "last_page_url": "https://{url}/v3/users/redemption-stats?page=15", "next_page_url": "https://{url}/v3/users/redemption-stats?page=3", "prev_page_url": "https://{url}/v3/users/redemption-stats?page=1", "from": 4, "last_page": 15, "path": "https://{url}/v3/users/redemption-stats", "per_page": 3, "to": 6, "total": 45 }